package net.cattaka.learnukiukiweb.client;

import com.google.android.maps.GeoPoint;

public class UkiukiBallInfo {
	/**
	 * 状態	
	 * 0:公開
	 * 1:非公開(プライベート)
	 */
	private int status;
	
	/**
	 *  使用言語
	 *  jaなど
	 */
	private String language	;
	/**
	 * 取得したコンテンツID
	 */
	private String objectid;
	/**
	 * 表示名
	 * コンテンツを登録したユーザの表示名
	 */
	private String nickname;
	/**
	 * タイトル
	 * 実質的なコメント
	 */
	private String title;
	/**
	 * コンテンツ登録日付
	 */
	private String registtime;
	/**
	 * コンテンツを登録したユーザーのアカウントID
	 */
	private String userid;
	/**
	 * アイコンデータ取得uri
	 * アイコン画像のuri
	 */
	private String uri;
	/**
	 * MIME-TYPE
	 * emotion/joyやemotion/sadなど
	 */
	private String mtype;	 
	/**
	 *  コメントの親ID(ウキウキ玉)のID
	 *  親があればそのIDを、無ければ空
	 */
	private String parentid	;
	/**
	 * 座標
	 */
	private GeoPoint geoPoint;
	/**
	 * コメント数
	 */
	private int moderate;
	
	/**
	 * 表示用
	 */
	public String toDisplayString(){
		return "status : " + status + "\n"
		+ "language : " + language + "\n"
		+ "objectid : " + objectid + "\n"
		+ "nickname : " + nickname + "\n"
		+ "title : " + title + "\n"
		+ "registtime : " + registtime + "\n"
		+ "userid : " + userid + "\n"
		+ "uri : " + uri + "\n"
		+ "mtype : " + mtype + "\n"
		+ "parentid : " + parentid + "\n"
		+ "geoPoint : " + geoPoint + "\n"
		+ "moderate : " + moderate + "\n";
	}
	
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public String getLanguage() {
		return language;
	}
	public void setLanguage(String language) {
		this.language = language;
	}
	public String getObjectid() {
		return objectid;
	}
	public void setObjectid(String objectid) {
		this.objectid = objectid;
	}
	public String getNickname() {
		return nickname;
	}
	public void setNickname(String nickname) {
		this.nickname = nickname;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getRegisttime() {
		return registtime;
	}
	public void setRegisttime(String registtime) {
		this.registtime = registtime;
	}
	public String getUserid() {
		return userid;
	}
	public void setUserid(String userid) {
		this.userid = userid;
	}
	public String getUri() {
		return uri;
	}
	public void setUri(String uri) {
		this.uri = uri;
	}
	public String getMtype() {
		return mtype;
	}
	public void setMtype(String mtype) {
		this.mtype = mtype;
	}
	public String getParentid() {
		return parentid;
	}
	public void setParentid(String parentid) {
		this.parentid = parentid;
	}
	public GeoPoint getGeoPoint() {
		return geoPoint;
	}
	public void setGeoPoint(GeoPoint geoPoint) {
		this.geoPoint = geoPoint;
	}
	public int getModerate() {
		return moderate;
	}
	public void setModerate(int moderate) {
		this.moderate = moderate;
	}
}
